<%@LANGUAGE="VBSCRIPT"%> 
<!--#include file="Connections/connTest.asp" -->
<%
Dim rsArticles
Dim rsArticles_numRows

Set rsArticles = Server.CreateObject("ADODB.Recordset")
rsArticles.ActiveConnection = MM_connTest_STRING
rsArticles.Source = "SELECT * FROM News"
rsArticles.CursorType = 0
rsArticles.CursorLocation = 2
rsArticles.LockType = 1
rsArticles.Open()

rsArticles_numRows = 0
%>
<%
'  *** Recordset Stats, Move To Record, and Go To Record: declare stats variables

Dim rsArticles_total
Dim rsArticles_first
Dim rsArticles_last

' set the record count
rsArticles_total = rsArticles.RecordCount

' set the number of rows displayed on this page
If (rsArticles_numRows < 0) Then
  rsArticles_numRows = rsArticles_total
Elseif (rsArticles_numRows = 0) Then
  rsArticles_numRows = 1
End If

' set the first and last displayed record
rsArticles_first = 1
rsArticles_last  = rsArticles_first + rsArticles_numRows - 1

' if we have the correct record count, check the other stats
If (rsArticles_total <> -1) Then
  If (rsArticles_first > rsArticles_total) Then
    rsArticles_first = rsArticles_total
  End If
  If (rsArticles_last > rsArticles_total) Then
    rsArticles_last = rsArticles_total
  End If
  If (rsArticles_numRows > rsArticles_total) Then
    rsArticles_numRows = rsArticles_total
  End If
End If
%>
<%
Dim MM_paramName 
%>
<%
' *** Move To Record and Go To Record: declare variables

Dim MM_rs
Dim MM_rsCount
Dim MM_size
Dim MM_uniqueCol
Dim MM_offset
Dim MM_atTotal
Dim MM_paramIsDefined

Dim MM_param
Dim MM_index

Set MM_rs    = rsArticles
MM_rsCount   = rsArticles_total
MM_size      = rsArticles_numRows
MM_uniqueCol = "arID"
MM_paramName = "id"
MM_offset = 0
MM_atTotal = false
MM_paramIsDefined = false
If (MM_paramName <> "") Then
  MM_paramIsDefined = (Request.QueryString(MM_paramName) <> "")
End If
%>
<%
' *** Move To Specific Record: handle detail parameter

If (MM_paramIsDefined And MM_rsCount <> 0) Then

  ' get the value of the parameter
  MM_param = Request.QueryString(MM_paramName)

  ' find the record with the unique column value equal to the parameter value
  MM_offset = 0
  Do While (Not MM_rs.EOF)
    If (CStr(MM_rs.Fields.Item(MM_uniqueCol).Value) = MM_param) Then
      Exit Do
    End If
    MM_offset = MM_offset + 1
    MM_rs.MoveNext
  Loop

  ' if not found, set the number of records and reset the cursor
  If (MM_rs.EOF) Then
    If (MM_rsCount < 0) Then
      MM_rsCount = MM_offset
    End If
    If (MM_size < 0 Or MM_size > MM_offset) Then
      MM_size = MM_offset
    End If
    MM_offset = 0

    ' reset the cursor to the beginning
    If (MM_rs.CursorType > 0) Then
      MM_rs.MoveFirst
    Else
      MM_rs.Close
      MM_rs.Open
    End If
  End If

End If
%>
<%
' *** Move To Record: handle 'index' or 'offset' parameter

if (Not MM_paramIsDefined And MM_rsCount <> 0) then

  ' use index parameter if defined, otherwise use offset parameter
  MM_param = Request.QueryString("index")
  If (MM_param = "") Then
    MM_param = Request.QueryString("offset")
  End If
  If (MM_param <> "") Then
    MM_offset = Int(MM_param)
  End If

  ' if we have a record count, check if we are past the end of the recordset
  If (MM_rsCount <> -1) Then
    If (MM_offset >= MM_rsCount Or MM_offset = -1) Then  ' past end or move last
      If ((MM_rsCount Mod MM_size) > 0) Then         ' last page not a full repeat region
        MM_offset = MM_rsCount - (MM_rsCount Mod MM_size)
      Else
        MM_offset = MM_rsCount - MM_size
      End If
    End If
  End If

  ' move the cursor to the selected record
  MM_index = 0
  While ((Not MM_rs.EOF) And (MM_index < MM_offset Or MM_offset = -1))
    MM_rs.MoveNext
    MM_index = MM_index + 1
  Wend
  If (MM_rs.EOF) Then 
    MM_offset = MM_index  ' set MM_offset to the last possible record
  End If

End If
%>
<%
' *** Move To Record: if we dont know the record count, check the display range

If (MM_rsCount = -1) Then

  ' walk to the end of the display range for this page
  MM_index = MM_offset
  While (Not MM_rs.EOF And (MM_size < 0 Or MM_index < MM_offset + MM_size))
    MM_rs.MoveNext
    MM_index = MM_index + 1
  Wend

  ' if we walked off the end of the recordset, set MM_rsCount and MM_size
  If (MM_rs.EOF) Then
    MM_rsCount = MM_index
    If (MM_size < 0 Or MM_size > MM_rsCount) Then
      MM_size = MM_rsCount
    End If
  End If

  ' if we walked off the end, set the offset based on page size
  If (MM_rs.EOF And Not MM_paramIsDefined) Then
    If (MM_offset > MM_rsCount - MM_size Or MM_offset = -1) Then
      If ((MM_rsCount Mod MM_size) > 0) Then
        MM_offset = MM_rsCount - (MM_rsCount Mod MM_size)
      Else
        MM_offset = MM_rsCount - MM_size
      End If
    End If
  End If

  ' reset the cursor to the beginning
  If (MM_rs.CursorType > 0) Then
    MM_rs.MoveFirst
  Else
    MM_rs.Requery
  End If

  ' move the cursor to the selected record
  MM_index = 0
  While (Not MM_rs.EOF And MM_index < MM_offset)
    MM_rs.MoveNext
    MM_index = MM_index + 1
  Wend
End If
%>
<%
' *** Move To Record: update recordset stats

' set the first and last displayed record
rsArticles_first = MM_offset + 1
rsArticles_last  = MM_offset + MM_size

If (MM_rsCount <> -1) Then
  If (rsArticles_first > MM_rsCount) Then
    rsArticles_first = MM_rsCount
  End If
  If (rsArticles_last > MM_rsCount) Then
    rsArticles_last = MM_rsCount
  End If
End If

' set the boolean used by hide region to check if we are on the last record
MM_atTotal = (MM_rsCount <> -1 And MM_offset + MM_size >= MM_rsCount)
%>
<%
' *** Go To Record and Move To Record: create strings for maintaining URL and Form parameters

Dim MM_keepNone
Dim MM_keepURL
Dim MM_keepForm
Dim MM_keepBoth

Dim MM_removeList
Dim MM_item
Dim MM_nextItem

' create the list of parameters which should not be maintained
MM_removeList = "&index="
If (MM_paramName <> "") Then
  MM_removeList = MM_removeList & "&" & MM_paramName & "="
End If

MM_keepURL=""
MM_keepForm=""
MM_keepBoth=""
MM_keepNone=""

' add the URL parameters to the MM_keepURL string
For Each MM_item In Request.QueryString
  MM_nextItem = "&" & MM_item & "="
  If (InStr(1,MM_removeList,MM_nextItem,1) = 0) Then
    MM_keepURL = MM_keepURL & MM_nextItem & Server.URLencode(Request.QueryString(MM_item))
  End If
Next

' add the Form variables to the MM_keepForm string
For Each MM_item In Request.Form
  MM_nextItem = "&" & MM_item & "="
  If (InStr(1,MM_removeList,MM_nextItem,1) = 0) Then
    MM_keepForm = MM_keepForm & MM_nextItem & Server.URLencode(Request.Form(MM_item))
  End If
Next

' create the Form + URL string and remove the intial '&' from each of the strings
MM_keepBoth = MM_keepURL & MM_keepForm
If (MM_keepBoth <> "") Then 
  MM_keepBoth = Right(MM_keepBoth, Len(MM_keepBoth) - 1)
End If
If (MM_keepURL <> "")  Then
  MM_keepURL  = Right(MM_keepURL, Len(MM_keepURL) - 1)
End If
If (MM_keepForm <> "") Then
  MM_keepForm = Right(MM_keepForm, Len(MM_keepForm) - 1)
End If

' a utility function used for adding additional parameters to these strings
Function MM_joinChar(firstItem)
  If (firstItem <> "") Then
    MM_joinChar = "&"
  Else
    MM_joinChar = ""
  End If
End Function
%>
<%
' *** Move To Record: set the strings for the first, last, next, and previous links

Dim MM_keepMove
Dim MM_moveParam
Dim MM_moveFirst
Dim MM_moveLast
Dim MM_moveNext
Dim MM_movePrev

Dim MM_urlStr
Dim MM_paramList
Dim MM_paramIndex
Dim MM_nextParam

MM_keepMove = MM_keepBoth
MM_moveParam = "index"

' if the page has a repeated region, remove 'offset' from the maintained parameters
If (MM_size > 1) Then
  MM_moveParam = "offset"
  If (MM_keepMove <> "") Then
    MM_paramList = Split(MM_keepMove, "&")
    MM_keepMove = ""
    For MM_paramIndex = 0 To UBound(MM_paramList)
      MM_nextParam = Left(MM_paramList(MM_paramIndex), InStr(MM_paramList(MM_paramIndex),"=") - 1)
      If (StrComp(MM_nextParam,MM_moveParam,1) <> 0) Then
        MM_keepMove = MM_keepMove & "&" & MM_paramList(MM_paramIndex)
      End If
    Next
    If (MM_keepMove <> "") Then
      MM_keepMove = Right(MM_keepMove, Len(MM_keepMove) - 1)
    End If
  End If
End If

' set the strings for the move to links
If (MM_keepMove <> "") Then 
  MM_keepMove = MM_keepMove & "&"
End If

MM_urlStr = Request.ServerVariables("URL") & "?" & MM_keepMove & MM_moveParam & "="

MM_moveFirst = MM_urlStr & "0"
MM_moveLast  = MM_urlStr & "-1"
MM_moveNext  = MM_urlStr & CStr(MM_offset + MM_size)
If (MM_offset - MM_size < 0) Then
  MM_movePrev = MM_urlStr & "0"
Else
  MM_movePrev = MM_urlStr & CStr(MM_offset - MM_size)
End If
%>
<html>
<head>
<title>Mogador Wanderers C.C. News Articles</title>
<style type="text/css">
<!--
body {  background: url(images/back18.jpg) no-repeat fixed center center}
-->
</style>
<meta name="keywords" content="Bayfield, OFCC, Bayfield Cricket Club, cricket, Leanda, Leanda Associates, Firth Park">
<script language="JavaScript">
<!--
function MM_preloadImages() { //v3.0
  var d=document; if(d.images){ if(!d.MM_p) d.MM_p=new Array();
    var i,j=d.MM_p.length,a=MM_preloadImages.arguments; for(i=0; i<a.length; i++)
    if (a[i].indexOf("#")!=0){ d.MM_p[j]=new Image; d.MM_p[j++].src=a[i];}}
}

function MM_findObj(n, d) { //v4.0
  var p,i,x;  if(!d) d=document; if((p=n.indexOf("?"))>0&&parent.frames.length) {
    d=parent.frames[n.substring(p+1)].document; n=n.substring(0,p);}
  if(!(x=d[n])&&d.all) x=d.all[n]; for (i=0;!x&&i<d.forms.length;i++) x=d.forms[i][n];
  for(i=0;!x&&d.layers&&i<d.layers.length;i++) x=MM_findObj(n,d.layers[i].document);
  if(!x && document.getElementById) x=document.getElementById(n); return x;
}

function MM_nbGroup(event, grpName) { //v3.0
  var i,img,nbArr,args=MM_nbGroup.arguments;
  if (event == "init" && args.length > 2) {
    if ((img = MM_findObj(args[2])) != null && !img.MM_init) {
      img.MM_init = true; img.MM_up = args[3]; img.MM_dn = img.src;
      if ((nbArr = document[grpName]) == null) nbArr = document[grpName] = new Array();
      nbArr[nbArr.length] = img;
      for (i=4; i < args.length-1; i+=2) if ((img = MM_findObj(args[i])) != null) {
        if (!img.MM_up) img.MM_up = img.src;
        img.src = img.MM_dn = args[i+1];
        nbArr[nbArr.length] = img;
    } }
  } else if (event == "over") {
    document.MM_nbOver = nbArr = new Array();
    for (i=1; i < args.length-1; i+=3) if ((img = MM_findObj(args[i])) != null) {
      if (!img.MM_up) img.MM_up = img.src;
      img.src = (img.MM_dn && args[i+2]) ? args[i+2] : args[i+1];
      nbArr[nbArr.length] = img;
    }
  } else if (event == "out" ) {
    for (i=0; i < document.MM_nbOver.length; i++) {
      img = document.MM_nbOver[i]; img.src = (img.MM_dn) ? img.MM_dn : img.MM_up; }
  } else if (event == "down") {
    if ((nbArr = document[grpName]) != null)
      for (i=0; i < nbArr.length; i++) { img=nbArr[i]; img.src = img.MM_up; img.MM_dn = 0; }
    document[grpName] = nbArr = new Array();
    for (i=2; i < args.length-1; i+=2) if ((img = MM_findObj(args[i])) != null) {
      if (!img.MM_up) img.MM_up = img.src;
      img.src = img.MM_dn = args[i+1];
      nbArr[nbArr.length] = img;
  } }
}
//-->
</script>
</head>
<body bgcolor="#FFFFFF" link="#6699CC" vlink="#6699CC"
alink="#6699CC" onLoad="MM_preloadImages('images/viewmatch_f3.gif','images/viewmatch_f2.gif','images/viewmatch_f4.gif','images/viewbatting_f3.gif','images/viewbatting_f2.gif','images/viewbatting_f4.gif','images/titlebar_r2_c2_f3.gif','images/titlebar_r2_c2_f2.gif','images/titlebar_r2_c2_f4.gif','images/titlebar_r2_c4_f3.gif','images/titlebar_r2_c4_f2.gif','images/titlebar_r2_c4_f4.gif','images/titlebar_r2_c6_f3.gif','images/titlebar_r2_c6_f2.gif','images/titlebar_r2_c6_f4.gif','images/viewprofile_r2_c2_f3.gif','images/viewprofile_r2_c2_f2.gif','images/viewprofile_r2_c2_f4.gif')">
<div align="center"> 
  <center>
    <table border="0" cellpadding="0" cellspacing="0" width="405" align="right">
      <!-- fwtable fwsrc="titlebar.png" fwbase="titlebar.gif" fwstyle="Dreamweaver" fwdocid = "742308039" fwnested="0" -->
      <tr> 
        <td><font size="2"><img src="images/spacer.gif" width="31" height="1" border="0"></font></td>
        <td><font size="2"><img src="images/spacer.gif" width="112" height="1" border="0"></font></td>
        <td><font size="2"><img src="images/spacer.gif" width="19" height="1" border="0"></font></td>
        <td><font size="2"><img src="images/spacer.gif" width="112" height="1" border="0"></font></td>
        <td><font size="2"><img src="images/spacer.gif" width="19" height="1" border="0"></font></td>
        <td><font size="2"><img src="images/spacer.gif" width="112" height="1" border="0"></font></td>
        <td><font size="2"><img src="images/spacer.gif" width="1" height="1" border="0"></font></td>
      </tr>
      <tr> 
        <td colspan="6"><font size="2"><img name="titlebar_r1_c1" src="images/titlebar_r1_c1.gif" width="405" height="23" border="0"></font></td>
        <td><font size="2"><img src="images/spacer.gif" width="1" height="23" border="0"></font></td>
      </tr>
      <tr> 
        <td rowspan="2"><font size="2"><img name="titlebar_r2_c1" src="images/titlebar_r2_c1.gif" width="31" height="23" border="0"></font></td>
        <td><font size="2"><a href="index.htm" onMouseOut="MM_nbGroup('out');"  onMouseOver="MM_nbGroup('over','titlebar_r2_c2','images/titlebar_r2_c2_f2.gif','images/titlebar_r2_c2_f4.gif',1);"  onClick="MM_nbGroup('down','navbar1','titlebar_r2_c2','images/titlebar_r2_c2_f3.gif',1);" ><img name="titlebar_r2_c2" src="images/titlebar_r2_c2.gif" width="112" height="22" border="0" alt="Back to M.W.C.C. Home Page"></a></font></td>
        <td rowspan="2"><font size="2"><img name="titlebar_r2_c3" src="images/titlebar_r2_c3.gif" width="19" height="23" border="0"></font></td>
        <td><font size="2"><a href="fixtures.asp" onMouseOut="MM_nbGroup('out');"  onMouseOver="MM_nbGroup('over','titlebar_r2_c4','images/titlebar_r2_c4_f2.gif','images/titlebar_r2_c4_f4.gif',1);"  onClick="MM_nbGroup('down','navbar1','titlebar_r2_c4','images/titlebar_r2_c4_f3.gif',1);" ><img name="titlebar_r2_c4" src="images/titlebar_r2_c4.gif" width="112" height="22" border="0" alt="View M.W..C.C. Fixtures Page"></a></font></td>
        <td rowspan="2"><font size="2"><img name="titlebar_r2_c5" src="images/titlebar_r2_c5.gif" width="19" height="23" border="0"></font></td>
        <td><font size="2"><a href="averages.asp" onMouseOut="MM_nbGroup('out');"  onMouseOver="MM_nbGroup('over','titlebar_r2_c6','images/titlebar_r2_c6_f2.gif','images/titlebar_r2_c6_f4.gif',1);"  onClick="MM_nbGroup('down','navbar1','titlebar_r2_c6','images/titlebar_r2_c6_f3.gif',1);" ><img name="titlebar_r2_c6" src="images/titlebar_r2_c6.gif" width="112" height="22" border="0" alt="View M.W.C.C. Statistics Page"></a></font></td>
        <td><font size="2"><img src="images/spacer.gif" width="1" height="22" border="0"></font></td>
      </tr>
      <tr> 
        <td><font size="2"><img name="titlebar_r3_c2" src="images/titlebar_r3_c2.gif" width="112" height="1" border="0"></font></td>
        <td><font size="2"><img name="titlebar_r3_c4" src="images/titlebar_r3_c4.gif" width="112" height="1" border="0"></font></td>
        <td><font size="2"><img name="titlebar_r3_c6" src="images/titlebar_r3_c6.gif" width="112" height="1" border="0"></font></td>
        <td><font size="2"><img src="images/spacer.gif" width="1" height="1" border="0"></font></td>
      </tr>
    </table>
    <font size="2"><br>
    <br>
    </font>
  </center>
</div>
<blockquote> 
  <div align="center"> 
    <center>
      <div align="left"> 
        <p align="center"><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><b><br>
          <br>
          <font size="2" face="Verdana, Arial, Helvetica, sans-serif"><b><font size="4">Mogador Wanderers</font></b></font><font size="4"> C.C. News Articles:</font></b></font></p>
        <p><font face="Verdana, Arial, Helvetica, sans-serif" size="2"> </font><font size="2"> 
          </font> </p>
      </div>
    </center>
  </div>
</blockquote>
<div align="left" style="margin-left:auto; margin-right:auto; width:900px;"> 
  <table width="75%" height="153" border="0" align="center">
    <tr> 
      <td height="27" colspan="2" valign="bottom"><strong><font face="Verdana, Arial, Helvetica, sans-serif"><font size="2"><%=(rsArticles.Fields.Item("arTitle").Value)%></font></font></strong></td>
    </tr>
    <tr> 
      <td height="10" colspan="2"><font size="1" face="Verdana, Arial, Helvetica, sans-serif">(Posted: 
        <%=(rsArticles.Fields.Item("arDate").Value)%>)</font></td>
    </tr>
    <tr> 
      <td height="20" colspan="2"><font size="2" face="Verdana, Arial, Helvetica, sans-serif">&nbsp;</font></td>
    </tr>
    <tr> 
      <td height="20" colspan="2"><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><%=(rsArticles.Fields.Item("arArticle").Value)%></font></td>
    </tr>
    <tr>
      <td width="50%" height="20"><div align="left"><font size="1" face="Verdana, Arial, Helvetica, sans-serif">
      <% If MM_offset <> 0 Then %>
      <A HREF="<%=MM_movePrev%>">&lt;&lt;Previous Article</A>
      <% End If ' end MM_offset <> 0 %>
</font></div></td>
      <td width="50%"><div align="right">
        <% If Not MM_atTotal Then %>
        <font size="1" face="Verdana, Arial, Helvetica, sans-serif"><A HREF="<%=MM_moveNext%>">Next
      Article&gt;&gt;</A></font>
        <% End If ' end Not MM_atTotal %>
</div></td>
    </tr>
    <tr>
      <td height="20" colspan="2">&nbsp;</td>
    </tr>
    <tr> 
      <td height="20" colspan="2"><font size="1" face="Verdana, Arial, Helvetica, sans-serif"><a href="news.asp">Back 
        to News Summaries</a></font></td>
    </tr>
  </table>
  
</div>
</body>
</html>
<%
rsArticles.Close()
Set rsArticles = Nothing
%>

